# Generated by Django 3.1.2 on 2020-10-24 20:22

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('schedules', '0009_auto_20201024_2005'),
    ]

    operations = [
        migrations.CreateModel(
            name='Point',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('coords_x', models.FloatField()),
                ('coords_y', models.FloatField()),
            ],
        ),
        migrations.RenameField(
            model_name='flightroute',
            old_name='drone_rout',
            new_name='drone_route',
        ),
        migrations.RenameField(
            model_name='flightschedule',
            old_name='drone_number',
            new_name='schedule_minutes_interval',
        ),
        migrations.RemoveField(
            model_name='flightschedule',
            name='scheduled_time',
        ),
        migrations.AddField(
            model_name='flightschedule',
            name='schedule_start_date',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='flight time'),
            preserve_default=False,
        ),
    ]
